=== debian/changelog ===
monado (21.0.0+git2905.e26a272c1~dfsg1-2build3) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:43:33 +0000

monado (21.0.0+git2905.e26a272c1~dfsg1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:08:36 +0000

monado (21.0.0+git2905.e26a272c1~dfsg1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:45:43 +0000

monado (21.0.0+git2905.e26a272c1~dfsg1-2) unstable; urgency=medium

  * d/patches
    - Update Forwarded fields.
  * d/libopenxr1-monado.lintian-overrides: Fix override

  [ Adrian Bunk ]
  * Build with -ffloat-store on i386 to fix test failure.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Thu, 02 Mar 2023 18:28:36 -0600

monado (21.0.0+git2905.e26a272c1~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot 21.0.0+git2905.e26a272c1~dfsg1
  * d/copyright: Update
  * Drop all existing patches, applied upstream
      - Add 0002-Do-not-install-a-test-binary.patch: Test binaries
        should not be installed
      - Add 0001-Fix-typo-in-DearImGui-demo.patch: Fix typo
  * Add d/.gitignore and d/.gitattributes back
  * d/README.source: Update
  * Add Build-Depends on wayland-protocols.
  * Bump Standards-Version to 4.6.2 - no changes required.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Thu, 02 Mar 2023 14:56:01 +0100

monado (21.0.0~dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.34. (Closes: #1001262)

 -- Adrian Bunk <bunk@debian.org>  Mon, 12 Sep 2022 10:16:51 +0300
